Enumerates an array of objects and returns a new table containing only the value of one particular field.


```lua
table.extract(arr, "key")
```

### Parameters ###

`arr` is an array of tables. `key` is the name of the field to be extracted.


### Return Value ###

A new array containing only the values of the provided field key.


### Availability ###

Premake 4.4 or later.
